Bug 1565151 - Regression Custom Button Dialog Not Displaying Submit or Cancel Button
Summary: Regression Custom Button Dialog Not Displaying Submit or Cancel Button
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: eclarizi
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On: 1562940
Blocks: 1554897
TreeView+ depends on / blocked
 
Reported: 2018-04-09 13:42 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
8 users (show)

Fixed In Version: 5.9.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1562940
Environment:
Last Closed: 2018-05-07 20:48:47 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
fixed_proof.gif (54.53 KB, image/png)
2018-04-19 09:21 UTC, Yadnyawalk Tale
no flags Details
fixed_proof.gif (916.66 KB, image/gif)
2018-04-19 09:22 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:49:17 UTC

Comment 3 CFME Bot 2018-04-09 17:36:48 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/4f9c83754cd7f56a5ce940cebed25750336d301c
commit 4f9c83754cd7f56a5ce940cebed25750336d301c
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Apr  4 09:42:08 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Apr  4 09:42:08 2018 -0400

    Merge pull request #3712 from eclarizio/BZ1562940

    Fix for Template Custom Button Dialog Not Displaying Submit or Cancel Buttons
    (cherry picked from commit 2d2aa63d10cd79efa137cc498d9616593cf7004b)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565151

 app/controllers/vm_common.rb | 6 +-
 app/services/dialog_local_service.rb | 19 +-
 spec/services/dialog_local_service_spec.rb | 4 +-
 3 files changed, 21 insertions(+), 8 deletions(-)

Comment 4 Yadnyawalk Tale 2018-04-19 09:21:42 UTC
Created attachment 1423965 [details]
fixed_proof.gif

Fixed! Tested with VM-Instances, Images-Template and other common object types.
Verified on: 5.9.2.2.20180410215257_6961422 

Thx!

Comment 5 Yadnyawalk Tale 2018-04-19 09:22:58 UTC
Created attachment 1423969 [details]
fixed_proof.gif

Comment 8 errata-xmlrpc 2018-05-07 20:48:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.